//+----------------------------------------+//
//|	Selfmade                           |//
//+----------------------------------------+//

textures/specula/screen_black_map_b4
{
	qer_editorimage textures/specula/map_b4.jpg

	surfaceparm nolightmap
	{
		map textures/specula/map_b4.jpg
	}
}

textures/specula/screen_black_passage
{
	qer_editorimage textures/specula/screen_passage.jpg

	surfaceparm nolightmap
	{
		map textures/specula/screen_passage.jpg
	}
}

textures/specula/screen_trans_artillery
{
	qer_editorimage textures/specula/screen_artillery.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_artillery.jpg
		blendfunc add
	}
}

textures/specula/screen_trans_energy
{
	qer_editorimage textures/specula/screen_energy.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_energy.jpg
		blendfunc add
	}
}

textures/specula/screen_trans_lorem
{
	qer_editorimage textures/specula/screen_lorem.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_lorem.jpg
		blendfunc add
	}
}

textures/specula/screen_trans_tetris
{
	qer_editorimage textures/specula/screen_tetris.jpg

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
        cull none
	{
		map textures/specula/screen_tetris.jpg
		blendfunc add
	}
}

textures/specula/lightfield_white
{
	qer_editorimage textures/specula/white.jpg
	q3map_surfacelight 2000
	{
		map textures/specula/white.jpg
	}

}

textures/specula/e6grtfloorceil_nonsolid
{
	qer_editorimage textures/specula/e6grtfloorceil.jpg
	surfaceparm nonsolid
	{
		map textures/specula/e6grtfloorceil.jpg
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}

textures/specula/proto_lightred_64_300_nonsolid
{
	qer_editorimage textures/specula/proto_lightred_64.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 300
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/specula/proto_lightred_64.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/specula/proto_lightred_64.tga
		blendFunc add
	}
	
}

textures/specula/vehicle_tracks
{
	qer_editorimage textures/specula/e8trimlight_edge.jpg

	{
		map textures/specula/e8trimlight_edge.jpg
		tcMod scroll 0 -56
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
}


textures/specula/mist_s
{
	entityMergable
	cull none
	{
		map textures/specula/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/specula/void
{
	qer_editorimage textures/specula/black.jpg
    	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	{
		map textures/specula/black.jpg
	}
}

textures/specula/laser
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	{
		map textures/specula/red.jpg
		blendfunc add
	}
}

textures/specula/fog
{
	qer_editorimage textures/specula/black.jpg
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.6
	fogparms ( 255 255 255 ) 512
}

//+----------------------------------------+//
//|	From Nexus6                        |//
//+----------------------------------------+//

textures/specula/e6bsegrtflr256_s
{
	qer_editorimage textures/specula/e6bsegrtflr256.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/specula/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/specula/e6horzlight_s_1500
{
	qer_editorimage textures/specula/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/specula/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6horzlight_blend.tga
		blendfunc add
	}
}

textures/specula/e6horzlight_s_2500
{
	qer_editorimage textures/specula/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/specula/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6horzlight_blend.tga
		blendfunc add
	}
}

textures/specula/e6horzlight_s_5000
{
	qer_editorimage textures/specula/e6horzlight.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/specula/e6horzlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6horzlight_blend.tga
		blendfunc add
	}
}
textures/specula/e6tinylight_s_5000
{
	qer_editorimage textures/specula/e6tinylight.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/specula/e6tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/specula/e6tinylight_s_10k
{
	qer_editorimage textures/specula/e6tinylight.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/specula/e6tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/specula/e6v_light_h_sm_s_5k
{
	qer_editorimage textures/specula/e6v_light_h_sm.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightRGB .5 .75 1
	{
		map textures/specula/e6v_light_h_sm.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6v_light_h_sm_blend.tga
		blendfunc add
	}
}

textures/specula/e6v_light_s_2500
{
	qer_editorimage textures/specula/e6v_light.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/specula/e6v_light.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6v_light_blend.tga
		blendfunc add
	}
}

textures/specula/e6v_light_s_5000
{
	qer_editorimage textures/specula/e6v_light.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/specula/e6v_light.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6v_light_blend.tga
		blendfunc add
	}
}

textures/specula/e6v_light_sm_s_2500
{
	qer_editorimage textures/specula/e6v_light_sm.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/specula/e6v_light_sm.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6v_light_sm_blend.tga
		blendfunc add
	}
}

textures/specula/e6v_light_sm_s_5000
{
	qer_editorimage textures/specula/e6v_light_sm.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/specula/e6v_light_sm.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/specula/e6v_light_sm_blend.tga
		blendfunc add
	}
}

textures/specula/flat_dk_nonsolid_s
{
	qer_editorimage textures/specula/flat_dk.jpg
	surfaceparm nonsolid
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/specula/flat_dk.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/specula/glass_02_s
{
	qer_editorimage textures/specula/scratchglass.jpg
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/specula/scratchglass.jpg
		blendfunc add
		rgbGen const ( 0.1 0.1 0.1 )
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/specula/ladder
{
	qer_editorimage textures/common/ladder.tga
//	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/specula/proto_lightred_64_300
{
	qer_editorimage textures/specula/proto_lightred_64.tga
	surfaceparm nomarks
	q3map_surfacelight 300
//	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/specula/proto_lightred_64.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/specula/proto_lightred_64.tga
		blendFunc add
	}
	
}

textures/specula/slime_s
	{
		qer_editorimage textures/specula/slime7.tga
		q3map_lightimage textures/specula/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/specula/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/specula/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

//+----------------------------------------+//
//|	From Karith                        |//
//+----------------------------------------+//

textures/specula/e6metalfan_s2
{
	qer_editorimage textures/specula/e6metalfan.tga

	{
		map textures/specula/e6metalfan_blade.tga
		tcmod rotate 5000
	}
	{
		map textures/specula/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/specula/water
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/specula/water_bluish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }

  {
    map textures/specula/water_redish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}

//+----------------------------------------+//
//|	From Niveus                        |//
//+----------------------------------------+//

textures/specula/wsupport12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	//light1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/specula/wsupport12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/specula/wsupport12.blend.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

//****************************************************//
//                                                    //
//      siege.shader for GTKRadiant                   //
//      by Amethyst7 - 06.12.2001                     //
//                                                    //
//****************************************************//

textures/specula/siege_skybox
{
	qer_editorimage textures/specula/siege/siege
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 0.965 75 0 30
	q3map_surfacelight 100
	skyparms env/specula/siege/siege - -
	{
		map textures/specula/siege/clouds.jpg
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}